PETSc version 3.17.4
Fix/Edit manual page

# DMLabelGetNonEmptyStratumValuesIS

Get an IS of all values that the DMlabel takes

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetNonEmptyStratumValuesIS(DMLabel label, IS *values)

Not collective

### Input Parameter

| label | - the DMLabel

### Output Paramater

| is | - the value IS

### Notes

The output IS should be destroyed when no longer needed. This is similar to DMLabelGetValueIS() but counts only nonempty strata.

### See Also

DMLabelGetValueIS(), DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages